# This docker compose file starts the sample PostgreSQL environment and an FTP server.
# Use this file to start and stop the sample environment independently of XDM.

version: '3'
services:
    sample-ssh:
        image: ghcr.io/linuxserver/openssh-server
        ports:
            - '2222:2222'
        environment:
            - PUID=1000
            - PGID=1000
            - USER_NAME=sshuser
            - USER_PASSWORD=pass123ssh
            - PASSWORD_ACCESS=true
        volumes:
            - sample-shared-volume:/xdmdata
    sample-pg:
        image: docker.ubs-hainer.com/sample-environment
        ports:
            - '5432:5432'
        environment:
            - POSTGRES_PASSWORD=pass123postgres
        volumes:
            - sample-shared-volume:/xdmdata
volumes:
    sample-shared-volume:
